/// <reference types="node" />
import React, { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { AutocompleteExportType, AutocompleteInputProps, AutocompleteValueType } from './autocomplete.types';
interface IState {
    value: AutocompleteValueType | null;
    error: boolean;
}
export declare class AutocompleteInput extends Component<AutocompleteInputProps, IState> implements Omit<InputImplement<AutocompleteExportType>, 'onChange'> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    inputRef: HTMLInputElement | undefined;
    shouldComponentUpdate(nextProps: AutocompleteInputProps, nextState: IState): boolean;
    private getValuesFrom;
    componentDidUpdate(props: AutocompleteInputProps): void;
    setValue(value: AutocompleteExportType): Promise<any>;
    getValue(): AutocompleteExportType;
    clear(withoutDefaults?: boolean): Promise<any>;
    validation(): boolean;
    onChange: (_: React.SyntheticEvent, option: any) => void;
    private onClick;
    click: () => void;
    focus: () => void;
    blur: () => void;
    private optionGetter;
    private getValueForCheck;
    private onInputBlur;
    render(): JSX.Element;
}
export {};
