/// <reference types="react" />
import { AutocompleteProps } from '@mui/material';
import { Variant } from '../../types/helper.types';
import { BaseInput } from '../../types/input.base';
import { TextInputProps } from '../text/text.types';
export declare type AutocompleteOptionType = {
    label: string;
    value: string;
};
export declare type AutocompleteFragType = string | number;
export declare type AutocompleteValueType = AutocompleteOptionType[] | AutocompleteOptionType | undefined;
export declare type AutocompleteExportType = AutocompleteFragType | AutocompleteFragType[] | null;
export interface AutocompleteInputProps extends BaseInput<AutocompleteExportType>, Omit<AutocompleteProps<any, boolean, true, boolean, 'div'>, 'renderInput' | 'defaultValue'> {
    type: 'autocomplete';
    variant?: Variant;
    label?: string;
    renderInput?: (params: TextInputProps) => React.ReactNode;
    InputProps?: TextInputProps;
    defaultValue?: AutocompleteExportType;
    loading?: boolean;
}
