/// <reference types="node" />
import React, { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { Country } from "./countries";
import { MobileInputProps, MobileInputValueType } from './mobile.types';
interface IState {
    value: MobileInputValueType;
    error: boolean;
    country: Country;
}
export declare class MobileInput extends Component<MobileInputProps, IState> implements InputImplement<MobileInputValueType> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    inputRef: HTMLInputElement | undefined;
    shouldComponentUpdate(nextProps: MobileInputProps, nextState: IState): boolean;
    setValue(value: MobileInputValueType, internalSet?: boolean): Promise<any>;
    getValue(): MobileInputValueType;
    clear(): Promise<any>;
    validation(): boolean;
    onChange: (event: React.ChangeEvent<HTMLInputElement>) => void;
    private onClick;
    private normalizeValue;
    private onChangeCountry;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
